Android Templates And Utilities
===============================

Android Templates And Utilities is a collection of source codes, utilities, 
templates and snippets for Android development. It helps to build new apps and 
shows the best way how to implement certain problems on Android platform.

You can find here templates for styling action bar, working with alarm manager,
communicating with server API, creating dialogs, using Facebook API,
geolocation, loading and caching images from web, showing notifications,
working with broadcast receivers, setting SSL connection, working with
view pager, fragments, list fragments and much more. All templates were tested
and should be compatible with Android 2, 3, 4.

Android Templates And Utilities are organized into 2 groups:

* Src - source code including classes, methods, resources.
* Res - resource code including xml files, images.

**The rest of this README file serves mainly as a README template for other projects.**


Features
========

*Fill in text about main features.*


Installation
============

*Fill in text about installation.*


Usage
=====

*Fill in text about usage.*


Documentation
=============

*Fill in text about documentation.*


Changelog
=========

*Fill in text about version changes.*


Dependencies
============

Some projects uses external libraries for additional functionality. All library
dependencies in the project should be listed below. For example:

* [ActionBar-PullToRefresh](https://github.com/chrisbanes/ActionBar-PullToRefresh)
* [ActionBarSherlock](http://actionbarsherlock.com/)
* [ActiveAndroid](http://www.activeandroid.com/)
* [AndEngine](http://www.andengine.org/)
* [Android Support Library v4](http://developer.android.com/tools/extras/support-library.html)
* [Androrm](http://www.androrm.com/)
* [AppCompat](https://developer.android.com/reference/android/support/v7/appcompat/package-summary.html)
* [Crittercism](http://www.crittercism.com)
* [Facebook Android SDK](https://github.com/facebook/facebook-android-sdk)
* [File Picker Activity](https://github.com/Kaloer/Android-File-Picker-Activity)
* [Flurry](http://www.flurry.com/)
* [Google Analytics](http://www.google.com/analytics/)
* [Google Cloud Messaging](http://developer.android.com/sdk/index.html)
* [GreenDAO](http://greendao-orm.com/)
* [GSON](http://code.google.com/p/google-gson/)
* [Holo Everywhere](https://github.com/Prototik/HoloEverywhere)
* [Ignition](https://github.com/kaeppler/ignition)
* [Jackson](http://jackson.codehaus.org/)
* [JazzyViewPager](https://github.com/jfeinstein10/JazzyViewPager)
* [ListViewAnimations](https://github.com/nhaarman/ListViewAnimations)
* [Localytics](http://www.localytics.com/)
* [Nine Old Androids](https://github.com/JakeWharton/NineOldAndroids)
* [Number Picker](https://github.com/novak/numpicker-demo)
* [Orman](https://github.com/ahmetalpbalkan/orman)
* [OrmLite](http://ormlite.com/)
* [PhotoView](https://github.com/chrisbanes/PhotoView)
* [Polaris2](https://github.com/cyrilmottier/Polaris2)
* [Pubnub](https://github.com/pubnub/java/tree/master/android)
* [RobotoTextView](https://github.com/johnkil/Android-RobotoTextView)
* [RSS Reader](https://github.com/matshofman/Android-RSS-Reader-Library)
* [ShowcaseView](https://github.com/Espiandev/ShowcaseView)
* [Sliding Menu](https://github.com/jfeinstein10/SlidingMenu)
* [Sticky List Headers](https://github.com/emilsjolander/StickyListHeaders)
* [Styled Dialogs](https://github.com/inmite/android-styled-dialogs)
* [Sugar ORM](http://satyan.github.com/sugar/index.html)
* [Swipe To Dismiss](https://github.com/JakeWharton/SwipeToDismissNOA)
* [Tree View List](http://code.google.com/p/tree-view-list-android/)
* [Twitter4J](http://twitter4j.org/en/)
* [UndoBar](https://github.com/soarcn/UndoBar)
* [UnifiedPreference](https://github.com/saik0/UnifiedPreference)
* [Universal Image Loader](https://github.com/nostra13/Android-Universal-Image-Loader)
* [View Pager Indicator](https://github.com/JakeWharton/Android-ViewPagerIndicator)
* [ZXing](http://code.google.com/p/zxing/)

Some galleries of Android libraries:

* [Android Views](http://www.androidviews.net/)
* [DevAppsDirect](https://play.google.com/store/apps/details?id=com.inappsquared.devappsdirect)
* [The Ultimate Android Library](http://www.theultimateandroidlibrary.com/)


Developed by
============

[Petr Nohejl](http://petrnohejl.cz), 2012-2013

[![Donate](https://www.paypalobjects.com/en_US/i/btn/btn_donate_SM.gif)](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=B3JBY3NU6L2XY)


License
=======

    Copyright (C) 2012 Petr Nohejl, petrnohejl.cz

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
    
    This program comes with ABSOLUTELY NO WARRANTY!
